### Method

# ICalGLib Component set_iana_name

since: 4.0

#### Declaration [src]

    void
    i_cal_component_set_iana_name (
      ICalComponent* component,
      const gchar* iana_name
    )

#### Description [src]

Sets the IANA name of the `component`.

Available since: 4.0

#### Parameters

`iana_name`

  Type: `const gchar*`

  An IANA name for the `component`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.